Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class SplitInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.node.SplitInstance

All Implemented Interfaces:
  Serializable, NodeInstance

    public class SplitInstance

extends NodeInstanceImpl

Runtime counterpart of a split node.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Constructor Summary
`SplitInstance()`

Method Summary
`protected boolean` | `checkNodes(Node currentNode, Node lookFor, Set<Long> vistedNodes)`
`protected void` | `executeStrategy(Split split, String type)`
`protected Split` | `getSplit()`
`protected boolean` | `hasLoop(Node startAt, Node lookFor)`
`void` | `internalTrigger(NodeInstance from, String type)`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`cancel, executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplitInstance

    public SplitInstance()

Method Detail

### getSplit

    protected Split getSplit()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Specified by:
    `internalTrigger` in class `NodeInstanceImpl`

### executeStrategy

    protected void executeStrategy(Split split,
                                   String type)

### hasLoop

    protected boolean hasLoop(Node startAt,
                              Node lookFor)

### checkNodes

    protected boolean checkNodes(Node currentNode,
                                 Node lookFor,
                                 Set<Long> vistedNodes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.